Bug 6509 - passdb:fetch_gid_from_cache() looks into UID cache not GID cache
passdb:fetch_gid_from_cache() looks into UID cache not GID cache
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
3.4.0rc1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 07:14 UTC by Michael Adam
Modified: 2009-08-11 08:04 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 3.4 (976 bytes, patch)
2009-06-26 18:55 UTC, Michael Adam
vl: review+
Details
patch for v3-2-test and v3-3-testh (896 bytes, patch)
2009-08-11 05:17 UTC, Michael Adam
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2009-06-26 07:14:33 UTC
This renders the memory cache fir SID<->GID mappings useless.
Michael
Comment 1 Michael Adam 2009-06-26 07:20:14 UTC
I have pushed a fix to master.
Comment 2 Jeremy Allison 2009-06-26 18:13:29 UTC
Michael, can you attach this fix as an attachment, then request a review and assign to Volker. He'll then assign to Karolin to get this pushed in to 3.4.0 official. Thanks. BTW. The patch you pushed looks 100% correct.
Jeremy.
Comment 3 Michael Adam 2009-06-26 18:55:01 UTC
Created attachment 4358 [details]
Patch for 3.4

Please review and include in v3-4-test if appropriate.
Comment 4 Michael Adam 2009-06-26 18:57:21 UTC
Jeremy: ok, I'M assigning to Volker, as you requested.
Comment 5 Volker Lendecke 2009-06-27 01:59:33 UTC
Comment on attachment 4358 [details]
Patch for 3.4

Okay, this definitely counts as "brown paper bag" bug. Thanks Michael for looking into this!

Volker
Comment 6 Karolin Seeger 2009-06-27 02:54:45 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!
Comment 7 Michael Adam 2009-08-11 05:13:11 UTC
Crap, I just noticed that this bug also applies to 3.2 and 3.3...
Michael
Comment 8 Michael Adam 2009-08-11 05:16:46 UTC
I reopen for consideration of inclusion of the patch into 3.2 and 3.3.
Comment 9 Michael Adam 2009-08-11 05:17:38 UTC
Created attachment 4536 [details]
patch for v3-2-test and v3-3-testh
Comment 10 Michael Adam 2009-08-11 05:29:55 UTC
Comment on attachment 4536 [details]
patch for v3-2-test and v3-3-testh

metze, could you check whether this should be included in 3.2 and in 3.3, please?
Comment 11 Karolin Seeger 2009-08-11 08:04:28 UTC
Pushed to v3-3-test and v3-2-test.
Closing out bug report.

Thanks!